Validate Release By Domain ID

Validate Release By Domain ID
Validate the selected upgrade version for the domain

Validate the selected target upgrade release BOM or custom BOM for the specified Domain ID

Request
URI
POST
https://{api_host}/v1/releases/domains/{domainId}/validations
COPY
Path Parameters
string
domainId
Required  

Domain ID

domainId example
9ab78840-ee25-11e8-a8fc-d71c338107bd

Request Body
DomainRelease of type(s) application/json
Optional
{
    "targetVersion": "string",
    "targetSddcManagerVersion": "string",
    "patches": [
        {
            "productType": "One among: SDDC_MANAGER, ESX, VCENTER, NSX",
            "version": "string"
        }
    ],
    "upgradeSequence": {
        "optimizedMaintenanceWindow": false
    }
}
string
targetVersion
Optional

Target version

string
targetSddcManagerVersion
Optional

Target SDDC Manager version

array of object
patches
Optional

Target product release and patch versions

object
upgradeSequence
Optional

Upgrade Sequence

Responses
202

Accepted

Returns Validation of type(s) application/json
{
    "id": "string",
    "description": "string",
    "executionStatus": "COMPLETED",
    "resultStatus": "SUCCEEDED",
    "validationChecks": [
        {
            "description": "string",
            "severity": "One among: WARNING, ERROR, INFO",
            "resultStatus": "One among: IN_PROGRESS, SUCCEEDED, FAILED, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS, PENDING",
            "acknowledge": false,
            "errorResponse": {
                "errorCode": "string",
                "errorType": "string",
                "arguments": [
                    "string"
                ],
                "context": {
                    "context": "string"
                },
                "notifications": [
                    {
                        "severity": "string",
                        "message": "string",
                        "remediations": [
                            {
                                "message": "string",
                                "link": "string"
                            }
                        ],
                        "impactMessage": "string"
                    }
                ],
                "message": "string",
                "remediationMessage": "string",
                "causes": [
                    {
                        "type": "string",
                        "message": "string"
                    }
                ],
                "nestedErrors": [
                    {
                        "errorCode": "string",
                        "errorType": "string",
                        "arguments": [
                            "string"
                        ],
                        "context": {
                            "context": "string"
                        },
                        "notifications": [
                            {
                                "severity": "string",
                                "message": "string",
                                "remediations": [
                                    {
                                        "message": "string",
                                        "link": "string"
                                    }
                                ],
                                "impactMessage": "string"
                            }
                        ],
                        "message": "string",
                        "remediationMessage": "string",
                        "causes": [
                            {
                                "type": "string",
                                "message": "string"
                            }
                        ],
                        "nestedErrors": [
                            {
                                "errorCode": "string",
                                "errorType": "string",
                                "arguments": [
                                    "string"
                                ],
                                "context": {
                                    "context": "string"
                                },
                                "notifications": [
                                    {
                                        "severity": "string",
                                        "message": "string",
                                        "remediations": [
                                            {
                                                "message": "string",
                                                "link": "string"
                                            }
                                        ],
                                        "impactMessage": "string"
                                    }
                                ],
                                "message": "string",
                                "remediationMessage": "string",
                                "causes": [
                                    {
                                        "type": "string",
                                        "message": "string"
                                    }
                                ],
                                "nestedErrors": [
                                    "Error Object"
                                ],
                                "referenceToken": "string",
                                "label": "string",
                                "remediationUrl": "string"
                            }
                        ],
                        "referenceToken": "string",
                        "label": "string",
                        "remediationUrl": "string"
                    }
                ],
                "referenceToken": "string",
                "label": "string",
                "remediationUrl": "string"
            },
            "nestedValidationChecks": [
                {
                    "description": "string",
                    "severity": "One among: WARNING, ERROR, INFO",
                    "resultStatus": "One among: IN_PROGRESS, SUCCEEDED, FAILED, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS, PENDING",
                    "acknowledge": false,
                    "errorResponse": {
                        "errorCode": "string",
                        "errorType": "string",
                        "arguments": [
                            "string"
                        ],
                        "context": {
                            "context": "string"
                        },
                        "notifications": [
                            {
                                "severity": "string",
                                "message": "string",
                                "remediations": [
                                    {
                                        "message": "string",
                                        "link": "string"
                                    }
                                ],
                                "impactMessage": "string"
                            }
                        ],
                        "message": "string",
                        "remediationMessage": "string",
                        "causes": [
                            {
                                "type": "string",
                                "message": "string"
                            }
                        ],
                        "nestedErrors": [
                            "Error Object"
                        ],
                        "referenceToken": "string",
                        "label": "string",
                        "remediationUrl": "string"
                    },
                    "nestedValidationChecks": [
                        "ValidationCheck Object"
                    ]
                }
            ]
        }
    ],
    "additionalProperties": {
        "additionalProperties": "string"
    }
}
string
id
Required   Read-Only  

ID of the validation

string
description
Required   Read-Only  
Constraints: minLength: 1

Description of the validation

string
executionStatus
Required   Read-Only  

Execution status of the validation. One among: IN_PROGRESS, FAILED, COMPLETED, UNKNOWN, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS

string
resultStatus
Required   Read-Only  

Result status of the validation after it has completed its execution. One among: SUCCEEDED, FAILED, WARNING, UNKNOWN, CANCELLATION_IN_PROGRESS

array of object
validationChecks
Read-Only  

List of one or more validation checks that are performed as part of the validation

object
additionalProperties
Optional

additionalProperties


400

Bad Request

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

Internal Server Error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/v1/releases/domains/{domainId}/validations